<?
require_once('include/global.php');
require_once('include/admin_lib.php');
#require_once('sadmin_conf.inc.php');


// check
	if (!$_GET['d_no'] || !$_GET['ip_ipaddr'] || !$_GET['ip_netmask'] || !$_POST['ip_ipaddr'] || !$_POST['ip_netmask'])
		msg('올바른	URL로 접근하여 주십시오');

	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$_GET['d_no'] = $G['DINFO']['d_no'];
	} else
	{
		auth_limit('serveradmin');
	}	// if()

// data
	// [2025-07-15] 기존 웹메일 접근 IP 관리에 아이디 추가
	$_POST['m_id'] = to_db_str($_POST['m_id'], 255);
	$_POST['ip_ipaddr'] = to_db_str($_POST['ip_ipaddr'], 15, false);
	$_POST['ip_netmask'] = to_db_str($_POST['ip_netmask'], 15, false);
	$_POST['ip_memo'] = to_db_str($_POST['ip_memo'], 255);

	// [2025-07-15] 기존 웹메일 접근 IP 관리 - 사용가능한 아이디인지 확인.
	if (isset($_POST['m_id']) && $_POST['m_id'] !== '') {
		$sql = "SELECT m_id FROM " . $TB['MEMBER'] . " WHERE m_id='" . $_POST['m_id'] . "'";
		$m_id = db_get_one($sql);
		if ($m_id == '')
			msg("존재하지 않는 아이디입니다.\\n\\n확인후 다시 시도하여 주십시오.");
	}

	// 웹메일 접근 IP 추가
		$q = "UPDATE " . $TB['WEB_ALLOW_IP'] . " SET m_id='" . $_POST['m_id'] . "', ip_ipaddr='".$_POST['ip_ipaddr']."', ip_netmask='".$_POST['ip_netmask']."', ip_memo='".$_POST['ip_memo']."' WHERE d_no='" . $_GET['d_no'] . "' AND m_id= '" . $_GET['m_id'] . "' AND ip_ipaddr='" . $_GET['ip_ipaddr'] . "' AND ip_netmask='" . $_GET['ip_netmask'] . "'";
		db_query($q);


// end
	//msg("수정되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else if ($_POST['back_url'])
	{
		movepage($_POST['back_url']);
	} else
	{
		movepage('admin_web_allow_ip_list.php?'.get_qs('d_no', 'ip_ipaddr', 'ip_netmask'));
	}	// if()

require_once('include/global_end.php');
?>